
#ifndef _HAL_H_
#define _HAL_H_

#define I_LEFT 0
#define I_RIGHT 1
#define I_UP 2
#define I_DOWN 3


void debug(const char* str);
void hal_init();
void hal_draw(int x, int y);
void hal_print(int x, int y, const char* str);
void hal_render();
void render();
void quit();

extern bool input[4];

#ifndef LINUX

void * operator new(unsigned int size);
void operator delete(void * ptr);

#endif

extern const int SCREEN_WIDTH;
extern const int SCREEN_HEIGHT;

#endif
