
#include "hal/hal.h"
#include "node.h"
#include "gfx/layout.h"


#include "example.h"

#include "gfx/screen.h"
#include "gfx/canvas.h"

#ifdef LINUX
#include <SDL2/SDL.h>
#include <stdio.h>


extern SDL_Window* window;
extern SDL_Event event;
extern SDL_Renderer *renderer;

#endif

layout* lp;

int main() {



    //build tree
	menu root(nullptr,
		new menu("foo1",
			new menu("foo2",
				new menu("foo3", new fooValue("FOO4",5))
			),
			new menu("foo", new fooValue("BAR",5)),
			new menu("foo", new fooValue("BAZ",5))
		),
		new menu("blub", new blubValue("BLUB",5)),
		new menu("blub", new blubValue("BLUB",5)),
		new menu("blub", new blubValue("BLUB",5))
	);

	///root.p(0);

	
    //walk tree + allocate slots
    //position slots
	// 128 x 32
	screen s(128, 32);//<128, 32> s;

	layout l(128);
	l.apply(&root);
	lp=&l;


	//render
    hal_init();
    hal_render();


    return 0;
}

void render(){
	lp->render();
}